> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compasslabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vaults

> Query a list of vaults you can deposit into.

Each vault has one unique token that can be deposited. In exchange for depositing
tokens into a vault you receive shares. You earn yield on these shares by their
exchange value increasing over time.



## OpenAPI

````yaml /v1/combined_spec.json get /v1/morpho/vaults
openapi: 3.1.0
info:
  title: Compass API
  description: Compass Labs DeFi API
  version: 0.0.1
servers:
  - url: https://api.compasslabs.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/morpho/vaults:
    get:
      tags:
        - Morpho
      summary: Get Vaults
      description: >-
        Query a list of vaults you can deposit into.


        Each vault has one unique token that can be deposited. In exchange for
        depositing

        tokens into a vault you receive shares. You earn yield on these shares
        by their

        exchange value increasing over time.
      operationId: v1_morpho_vaults
      parameters:
        - name: chain
          in: query
          required: true
          schema:
            type: string
            enum:
              - arbitrum
              - base
              - ethereum
            title: Chain
            default: base
        - name: deposit_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                title: Token
                description: >-
                  A token identifier - either a supported symbol (e.g., USDC,
                  WETH) or a valid Ethereum address (0x...)
                examples:
                  - USDC
                  - WETH
                  - '0xA0b86a33E6441ccF30EE5DdEF1E9b652C91ac1c8'
              - type: 'null'
            title: Deposit Token
            default: USDC
          description: >-
            Symbol or address of the deposit token to filter vaults by. Optional
            parameter.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MorphoGetVaultsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from compass_api_sdk import CompassAPI, models


            with CompassAPI(
                api_key_auth="<YOUR_API_KEY_HERE>",
            ) as compass_api:

                res = compass_api.morpho.morpho_vaults(chain=models.V1MorphoVaultsChain.BASE, deposit_token="USDC")

                # Handle response
                print(res)
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { CompassApiSDK } from "@compass-labs/api-sdk";

            const compassApiSDK = new CompassApiSDK({
              apiKeyAuth: "<YOUR_API_KEY_HERE>",
            });

            async function run() {
              const result = await compassApiSDK.morpho.morphoVaults({
                chain: "base",
                depositToken: "USDC",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    MorphoGetVaultsResponse:
      properties:
        vaults:
          items:
            $ref: '#/components/schemas/MorphoVault'
          type: array
          title: Vaults
          description: ' A list of vaults matching the query.'
      type: object
      required:
        - vaults
      title: MorphoGetVaultsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MorphoVault:
      properties:
        address:
          type: string
          title: Address
        symbol:
          type: string
          title: Symbol
        name:
          type: string
          title: Name
        creationBlockNumber:
          type: integer
          title: Creationblocknumber
        creationTimestamp:
          type: integer
          title: Creationtimestamp
        creatorAddress:
          type: string
          title: Creatoraddress
        whitelisted:
          type: boolean
          title: Whitelisted
        asset:
          $ref: >-
            #/components/schemas/compass__api_backend__v1__models__morpho__read__response__get_vaults__Asset
        chain:
          $ref: '#/components/schemas/ChainInfo'
        state:
          $ref: >-
            #/components/schemas/compass__api_backend__v1__models__morpho__read__response__get_vaults__VaultState
      type: object
      required:
        - address
        - symbol
        - name
        - creationBlockNumber
        - creationTimestamp
        - creatorAddress
        - whitelisted
        - asset
        - chain
        - state
      title: MorphoVault
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    compass__api_backend__v1__models__morpho__read__response__get_vaults__Asset:
      properties:
        symbol:
          type: string
          title: Symbol
        address:
          type: string
          title: Address
        decimals:
          type: integer
          title: Decimals
        chain:
          $ref: '#/components/schemas/ChainInfo'
      type: object
      required:
        - symbol
        - address
        - decimals
        - chain
      title: Asset
    ChainInfo:
      properties:
        id:
          type: integer
          title: Id
        network:
          anyOf:
            - type: string
            - type: 'null'
          title: Network
      type: object
      required:
        - id
      title: ChainInfo
    compass__api_backend__v1__models__morpho__read__response__get_vaults__VaultState:
      properties:
        id:
          type: string
          title: Id
        apy:
          type: number
          title: Apy
        netApy:
          type: number
          title: Netapy
        totalAssets:
          type: integer
          title: Totalassets
        totalAssetsUsd:
          anyOf:
            - type: number
            - type: 'null'
          title: Totalassetsusd
        fee:
          type: number
          title: Fee
        timelock:
          type: integer
          title: Timelock
      type: object
      required:
        - id
        - apy
        - netApy
        - totalAssets
        - fee
        - timelock
      title: VaultState
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Your Compass API Key. Get your key
        [here](https://www.compasslabs.ai/dashboard).

````